AnsweredAssumed Answered

InsertSweepSurface2 with option specific direction vector

Question asked by Cloud Strife Pom Cloud Strife Pom on Jun 5, 2017

I have some problem with "InsertSweepSurface2"

 

I cannot set the option specific direction vector by API

 

when i record macro i got something like

 

boolstatus = Part.Extension.SelectByID2("3DSketch1", "SKETCH", 0, 0, 0, False, 4, Nothing, 0)

boolstatus = Part.Extension.SelectByID2("3DSketch7", "SKETCH", 0, 0, 0, True, 1, Nothing, 0)

boolstatus = Part.Extension.SelectByID2("Plane6", "PLANE", -9.53737491999958E-02, 8.17154228380775E-02, -6.60131966041031E-02, True, 128, Nothing, 0)

 

with the mark 128 and

 

Set myFeature = Part.FeatureManager.InsertSweepSurface2(False, 0, False, False, 0, 0, 2, True, True, 0, True)

 

but nothing happen, after run macro, it still use the minimum twist options not the direction vector

 

Thanks for the help

Outcomes